View Issue Details

IDProjectCategoryView StatusLast Update
0011010LazarusLCLpublic2009-06-13 12:07
ReporterPaul B. Assigned ToAles Katona  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.25 (SVN) 
Summary0011010: TScrollBox color change applies to only viewable area.
DescriptionHello.

I have a TScrollBox placed on a form. I can set its viewable area color to white.
The problem is the unseen viewable area in the TScrollBox is still set to a 'default' grey, and stays grey when I move the scrollbars. It seems that the unseen area of the TScrollBox is not being updated to the white color when the scrollbars are being moved, and it comes into view.

Thanks.

   
Additional InformationUsing Ubuntu Linux 7.04
GTK 2.
Lazarus version date 2008-03-17
 
Tagsgtk2
Fixed in Revision
LazTarget1.2
WidgetsetGTK 2
Attached Files

Relationships

related to 0010779 closedZeljan Rikalo TScrolledWinControl does not scroll correctly non TWinControl childs under gtk2 
related to 0010952 closedVincent Snijders Strange scrolling in grids 
related to 0009049 closedVincent Snijders ScrollBox wrong ScrollBars position 
related to 0016183 resolvedJuha Manninen Form is painted with two colors when scrolled 

Activities

Ales Katona

2008-06-26 17:28

developer   ~0020388

Fixed in the meantime it seems. Color is now properly set even if I scroll, but scrolling itself is still a bit bugged (different issue tho). Re-open if you get it again in trunk.

Issue History

Date Modified Username Field Change
2008-03-17 19:35 Paul B. New Issue
2008-03-17 19:35 Paul B. Widgetset => GTK 2
2008-03-18 11:09 Vincent Snijders LazTarget => 1.2
2008-03-18 11:09 Vincent Snijders Status new => acknowledged
2008-04-12 12:49 Felipe Monteiro de Carvalho Tag Attached: gtk2
2008-04-16 18:48 Felipe Monteiro de Carvalho Relationship added related to 0010779
2008-04-16 18:48 Felipe Monteiro de Carvalho Relationship added related to 0010952
2008-04-16 18:48 Felipe Monteiro de Carvalho Relationship added related to 0009049
2008-06-26 17:28 Ales Katona Status acknowledged => resolved
2008-06-26 17:28 Ales Katona Resolution open => fixed
2008-06-26 17:28 Ales Katona Assigned To => Ales Katona
2008-06-26 17:28 Ales Katona Note Added: 0020388
2009-06-13 12:07 Marc Weustink Status resolved => closed
2010-04-02 05:07 Luiz Americo Relationship added related to 0016183